/**
 * This module includes code available for both the public website and
 * administration interface)
 */
//-- vendor
import '@fortawesome/fontawesome-free/css/all.min.css'
import '@fortawesome/fontawesome-free/css/fontawesome.min.css'


//-- aircox
import App, {PlayerApp} from './app'
import Builder from './appBuilder'
import Sound from './sound'
import {Set} from './model'

import './styles.scss'

window.aircox = {
    // main application
    builder: new Builder(App),
    get app() { return this.builder.app  },

    // player application
    playerBuilder: new Builder(PlayerApp),
    get playerApp() { return this.playerBuilder && this.playerBuilder.app },
    get player() { return this.playerBuilder.vm && this.playerBuilder.vm.$refs.player },

    Set: Set, Sound: Sound,
}

window.addEventListener('load', e => {
    const [app, player] = [aircox.builder, aircox.playerBuilder]
    app.title = document.title
    app.mount()
    app.enableHotReload(window)

    player.mount()
})

